package com.tashow.cloud.productapi.enums;

import lombok.Getter;

/**
 * @Author LGF
 * @create 2020/10/26 16:36
 */
public enum BaseEnum {
    /**
     * 基础 枚举
     */

    YES_ONE(1, "是"),
    NO_ZERO(0, "否"),

    ENABLE_ZERO(0, "启用"),
    FORBIDDEN_ONE(1, "禁用"),

    YES_BINDING(1, "已绑定"),
    NO_BINDING(0, "未绑定"),

    NO(1, "删除"),
    YES(0, "正常"),

    HIDE(3, "隐藏"),

    NO_TWO(2, "否"),
    ;

    @Getter
    Integer key;
    @Getter
    String value;
    ;

    BaseEnum(Integer key, String value) {
        this.key = key;
        this.value = value;
    }

}
